diff -Naur wmhdplop-0.9.11.orig/configure.ac wmhdplop-0.9.11/configure.ac
--- wmhdplop-0.9.11.orig/configure.ac	2018-12-11 02:45:33.000000000 +0100
+++ wmhdplop-0.9.11/configure.ac	2022-07-15 19:42:42.504309025 +0200
@@ -1,12 +1,14 @@
-AC_INIT(wmhdplop, 0.9.11)
+AC_INIT([wmhdplop], [0.9.11], [https://www.dockapps.net/wmhdplop])
 AC_CONFIG_SRCDIR(wmhdplop.c)
 AM_INIT_AUTOMAKE
+LT_INIT
+AC_CONFIG_MACRO_DIRS([m4])
 AM_CONFIG_HEADER(config.h)
 
 AC_SUBST(VERSION)
 
 ISODATE=`date +%Y-%m-%d`
-AC_SUBST(ISODATE)
+AC_SUBST([ISODATE])
 
 AC_CANONICAL_HOST
 
@@ -19,39 +21,37 @@
 AC_DEFINE(_GNU_SOURCE,[],[uses GNU extensions])
 
 
-if test x$GCC = xyes; then
-  CFLAGS="-O3 -fomit-frame-pointer -ffast-math -Wall -W";
-fi
-
 dnl check for X
 AC_PATH_X
 AC_PATH_XTRA
-if test x$no_x = xyes; then
-  echo "You need to supply the path to the X headers and libraries with --x-includes=dir and --x-libraries=dir";
-  exit 1;
-fi;
+AS_IF(
+  [test "x${no_x}" = "xyes"],
+  [AC_MSG_ERROR([You need to supply the path to the X headers and libraries with --x-includes=dir and --x-libraries=dir])]
+)
 
 LIBS="${X_PRE_LIBS} ${X_LIBS} -lX11 -lXext ${LIBS} ${X_EXTRA_LIBS}"
 CFLAGS="$CFLAGS $X_CFLAGS"
 
 dnl Checks for library functions.
-AC_CHECK_HEADERS(linux/hdreg.h)
+AC_CHECK_HEADERS([linux/hdreg.h])
 
-AC_CHECK_PROG([IMLIB2_CONFIG_IN_PATH],[imlib2-config],[yes],[no])
-if test "x$IMLIB2_CONFIG_IN_PATH" = "xno"; then
-  AC_ERROR([imlib2-config not found in PATH.. You need to install Imlib2 (and its developpement package)])
-fi
-IMLIB2_CFLAGS=$(imlib2-config --cflags)
-IMLIB2_LIBS=$(imlib2-config --libs)
-AC_SUBST(IMLIB2_CFLAGS)
-AC_SUBST(IMLIB2_LIBS)
+AC_CHECK_PROG([PKG_CONFIG_IN_PATH],[pkg-config],[yes],[no])
+AS_IF(
+  [test "x$PKG_CONFIG_IN_PATH" = "xno"],
+  [AC_ERROR([pkg-config not found in PATH.. You need to install pkgconf])]
+)
+
+IMLIB2_CFLAGS=$(pkg-config imlib2 --cflags)
+IMLIB2_LIBS=$(pkg-config imlib2 --libs)
+AC_SUBST([IMLIB2_CFLAGS])
+AC_SUBST([IMLIB2_LIBS])
 
 YELLOW="\\033\\1331;33m"
 RESET="\\033\\1330m"
 
 dnl Checks for the gkrellm plugin
 build_gkhdplop="yes"
-AC_ARG_ENABLE(gkrellm,
+AC_ARG_ENABLE([gkrellm],
  [  --enable-gkrellm        build the gkrellm plugin (requires gtk2 and gkrellm developpement files) (Default is yes)
   --disable-gkrellm       do not build the gkrellm plugin],
  [ if   test "x$enableval" = "xno" ; then
@@ -69,8 +69,8 @@
   PKG_CHECK_MODULES(PACKAGE, [$pkg_modules])
   GTK2_CFLAGS=$PACKAGE_CFLAGS;
   GTK2_LIBS=$PACKAGE_LIBS;
-  AC_SUBST(GTK2_CFLAGS)
-  AC_SUBST(GTK2_LIBS)
+  AC_SUBST([GTK2_CFLAGS])
+  AC_SUBST([GTK2_LIBS])
   SAVECPPFLAGS="$CPPFLAGS"
   CPPFLAGS="$CFLAGS $GTK2_CFLAGS"
   AC_CHECK_HEADERS([gkrellm2/gkrellm.h], [ok=1], [ok=0])
@@ -82,7 +82,7 @@
   fi
   CPPFLAGS="$SAVECPPFLAGS"
 fi
-AC_SUBST(GKHDPLOP)
+AC_SUBST([GKHDPLOP])
 
 
 AC_OUTPUT(Makefile)
diff -Naur wmhdplop-0.9.11.orig/Makefile.am wmhdplop-0.9.11/Makefile.am
--- wmhdplop-0.9.11.orig/Makefile.am	2018-12-08 22:48:27.000000000 +0100
+++ wmhdplop-0.9.11/Makefile.am	2022-07-15 19:42:17.107279593 +0200
@@ -8,6 +8,8 @@
 
 EXTRA_DIST=autogen.sh gkrellm_hdplop.c
 
+ACLOCAL_AMFLAGS = -I m4
+
 IMLIB2_LIBS=@IMLIB2_LIBS@
 IMLIB2_CFLAGS=@IMLIB2_CFLAGS@
 
